Package ru.bitel.bgbilling.kernel.event.events

# Class GetTariffListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.GetTariffListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class GetTariffListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие, которое запрашивает список тарифов, на которые абонент может перейти из web-кабинета. Штатный механизм формирования списка тарифов для перехода берет ВСЕ тарифы из всех групп (на основе дат, используемости и т.д.). Но может возникнуть необходимость дополнительно отфильтровать этот список ВНУТРИ группы тарифов. Именно для такого случая и используется данное событие. Если скрипты возвращают пустой список тарифов, то будет использоваться штатный механизм.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTariffListEvent(int contractId, ContractTariff fromTariff, TariffGroup tariffGroup, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractTariff`
  `getFromContractTariff()`
  Получение тарифа, с которого происходит переход на другой тариф из списка, формируемого скриптами,обрабатывающими данное событие.
  `TariffGroup`
  `getTariffGroup()`
  Получение группы тарифов, из которой штатный механизм формирует список тарифов для показа абоненту в Web.
  `List<TariffPlan>`
  `getTariffList()`
  Получение списка тарифов, сформированных скриптами.
  `void`
  `setFromContractTariff(ContractTariff fromContractTariff)`
  Установка тарифа, с которого происходит переход на другой тариф из списка, формируемого скриптами,обрабатывающими данное событие.
  `void`
  `setTariffGroup(TariffGroup tariffGroup)`
  Установка группы тарифов, из которой штатный механизм формирует список тарифов для показа абоненту в Web.
  `void`
  `setTariffList(List<TariffPlan> tariffList)`
  Устанавливает список тарифов, сформированный скриптами.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTariffListEvent

    public GetTariffListEvent(int contractId, ContractTariff fromTariff, TariffGroup tariffGroup, int userId)

- ## Method Details

  - ### getTariffList

    public List<TariffPlan> getTariffList()
    Получение списка тарифов, сформированных скриптами. Если возвращается пустой список, то будет использован список тарифов, сформированный штатным механизмом.
    Returns:
      the tariffList

  - ### setTariffList

    public void setTariffList(List<TariffPlan> tariffList)
    Устанавливает список тарифов, сформированный скриптами.
    Parameters:
      `tariffList` - список тарифов, который устанавливается скриптами в ответ на запрос.

  - ### getFromContractTariff

    public ContractTariff getFromContractTariff()
    Получение тарифа, с которого происходит переход на другой тариф из списка, формируемого скриптами,обрабатывающими данное событие.
    Returns:
      тариф, с которого происходит переход.

  - ### setFromContractTariff

    public void setFromContractTariff(ContractTariff fromContractTariff)
    Установка тарифа, с которого происходит переход на другой тариф из списка, формируемого скриптами,обрабатывающими данное событие.
    Parameters:
      `fromContractTariff` - тариф, с которого происходит переход.

  - ### getTariffGroup

    public TariffGroup getTariffGroup()
    Получение группы тарифов, из которой штатный механизм формирует список тарифов для показа абоненту в Web.
    Returns:
      группа тарифов, из которой формируется список тарифов для перехода

  - ### setTariffGroup

    public void setTariffGroup(TariffGroup tariffGroup)
    Установка группы тарифов, из которой штатный механизм формирует список тарифов для показа абоненту в Web.
    Parameters:
      `tariffGroup` - группа тарифов, из которой формируется список тарифов для перехода